// Copyright 2012 Thomas Loy.
//
// This file is part of LastLog.
//
// LastLog is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// LastLog is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with LastLog.  If not, see <http://www.gnu.org/licenses/>.

package edu.self.lastLog;

import java.lang.Runnable;
import java.util.Date;
import org.bukkit.ChatColor;

// Send the PlayerList page to the sender.
public class LastLogPrinter extends LastLogWorker implements Runnable
{
        public LastLogPrinter(LastLogSorter sorter) {
                super(sorter);
        }

        @Override
        public void run() {
                int pageSize = plugin.pageSize;
                int pageCount = ((playerList.length() - 1) / pageSize) + 1;
                sender.sendMessage("" + ChatColor.AQUA + (lastLog ? "Last login" : "First login") + " - " + playerList.length() + " Players - Page [" + (pageNumber + 1) + "/" + pageCount + "]");
                for (int i = 0; i < pageSize; ++i) {
                        int index = pageNumber * pageSize + i;
                        if (index >= playerList.length()) break;
                        String name = playerList.getEntry(index).name;
                        long date = playerList.getEntry(index).time;
                        sender.sendMessage("" + ChatColor.YELLOW + new Date(date) + " " + ChatColor.WHITE + name);
                }
        }
}
