// Copyright 2012 Thomas Loy.
//
// This file is part of LastLog.
//
// LastLog is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// LastLog is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with LastLog.  If not, see <http://www.gnu.org/licenses/>.

package edu.self.lastLog;

import java.lang.Runnable;
import org.bukkit.command.CommandSender;
import org.bukkit.scheduler.BukkitScheduler;

// Sort the PlayerList in an asynchronous Bukkit thread and
// schedule the LastLogPrinter in the main thread.
public class LastLogSorter extends LastLogWorker implements Runnable
{
        public LastLogSorter(LastLogPlugin plugin, CommandSender sender, PlayerList playerList, int pageNumber, boolean lastLog) {
                super(plugin, sender, playerList, pageNumber, lastLog);
        }

        @Override
        public void run() {
                playerList.sort();
                plugin.getServer().getScheduler().scheduleSyncDelayedTask(plugin, new LastLogPrinter(this));
        }
}
